Name: scribus
Version: 1.3.4
Release: alt5
Serial: 1
Group: Publishing
Summary: Linux Publisher
URL: http://www.scribus.net/
License: GPL

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: python-modules-tkinter icc-profiles hyphen-en

Source0: %name-%version.tar.bz2
Source1: scribus-tango-icons.tar.bz2
Source2: scribus-icons.tar.bz2
Source3: scribus-mimelnk-x-scribus.desktop

Patch0: scribus-1.3.4-alt-tango.patch
Patch1: scribus-1.3.4-alt-system-libhyphen.patch
Patch2: scribus-1.3.4-alt-python-link.patch
Patch3: scribus-1.3.4-alt-lcms-include.patch

# Automatically added by buildreq on Sat Jan 28 2006
BuildRequires: gcc-c++ ghostscript-classic libXext-devel libart_lgpl-devel libcairo-devel
BuildRequires: libcups-devel libhyphen-devel libjpeg-devel liblcms-devel libqt3-devel
BuildRequires: libssl-devel libtiff-devel libxml2-devel python-devel libgnutls-devel

%description
Scribus is a Layout program for Linux, similar to Adobe PageMaker, QuarkXPress
or Adobe InDesign, except that it is published under the GNU GPL.

%prep
%setup -q

%patch0 -p1
%patch1 -p1 -b .hyphen
%patch2 -p1
%patch3 -p1

tar -xjf %SOURCE1 -C scribus

find -name Makefile.am -exec subst 's|\(.*DLIBDIR=\)\(.*\)\(libdir\)\(.*\)|\1\2datadir\4|' {} \;
subst 's|libdir|datadir|' \
	scribus/dicts/Makefile.am \
	scribus/profiles/Makefile.am \
	scribus/keysets/Makefile.am \
	scribus/swatches/Makefile.am \
	scribus/qm/Makefile.am
subst 's|\$(libdir)/scribus/import.prolog|$(datadir)/scribus/import.prolog|' scribus/plugins/psimport/Makefile.am
subst 's|\$(libdir)/scribus/import_la.prolog|$(datadir)/scribus/import_la.prolog|' scribus/plugins/psimport/Makefile.am
subst 's|)\ \$(libdir)/scribus/|) $(datadir)/scribus/|' scribus/plugins/psimport/Makefile.am

%build
%make -f admin/Makefile.common cvs ||:

%configure \
	--disable-qt4-test \
	--enable-cairo \
%ifarch x86_64
	--enable-libsuffix=64 \
%endif
#

%make_build

%install
%make DESTDIR=%buildroot install

for l in $(find %buildroot%_datadir/%name -name \*.qm); do
	echo -n $l | sed 's|.*\.\(.*\)\..*|%lang\(\1\) |' >> %name.lang
	echo $l | sed "s|%buildroot||" >> %name.lang
done
for l in $(find %buildroot%_datadir/%name/loremipsum -name \*.xml); do
	echo -n $l | sed 's|.*\/\([a-z]*\)\.xml$|%lang\(\1\) |' >> %name.lang
	echo $l | sed "s|%buildroot||" >> %name.lang
done

mkdir -p %buildroot%_iconsdir
tar -xjf %SOURCE2 -C %buildroot%_iconsdir
subst 's|scribusicon|scribus|' %name.desktop
install -pD -m644 %name.desktop %buildroot%_desktopdir/%name.desktop
install -pD -m644 %SOURCE3 %buildroot%_datadir/mimelnk/application/x-%name.desktop
subst 's|vnd\.scribus|x-scribus|' %buildroot%_datadir/mime/packages/%name.xml

find %buildroot%_libdir/%name -type l -delete
find %buildroot%_libdir/%name -type f -name \*.la -delete
rm -fr %buildroot%_includedir

%files -f %name.lang
%dir %_docdir/%name-%version
%_docdir/%name-%version/README
%_docdir/%name-%version/COPYING
%_docdir/%name-%version/AUTHORS
%_docdir/%name-%version/en
%lang(cs) %_docdir/%name-%version/cs
%lang(de) %_docdir/%name-%version/de
%lang(fr) %_docdir/%name-%version/fr
%lang(pl) %_docdir/%name-%version/pl
%_bindir/%name
%dir %_libdir/%name
%attr(0755,root,root) %_libdir/%name/plugins
%dir %_datadir/%name
%dir %_datadir/%name/profiles
%dir %_datadir/%name/loremipsum
%_datadir/%name/swatches
%_datadir/%name/keysets
%_datadir/%name/icons
%_datadir/%name/plugins
%_datadir/%name/dtd
%_datadir/%name/templates
%_datadir/%name/*.prolog
%_datadir/%name/samples
%_datadir/%name/scripts
%_datadir/%name/*.txt
%_datadir/mime/packages/%name.xml
%_datadir/pixmaps/scribus*
%_desktopdir/%name.desktop
%_datadir/mimelnk/application/x-%name.desktop
%_iconsdir/hicolor/*/apps/*.png
%_man1dir/scribus*

%changelog
* Fri Mar 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt5
- added libgnutls-devel in BuildRequires. see #14778

* Wed Feb 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt4.1
- rebuild with python-2.5

* Thu Jan 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt3.M40.1
- build for branch 4.0

* Mon Jan 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt4
- drop ICC profiles, requires icc-profiles package
- build with cairo
- updated build dependencies

* Thu Jan 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt3
- build with system libhyphen

* Sat Dec 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt2
- use system hyphenation rules

* Thu Dec 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt0.M40.1
- build for branch 4.0

* Thu Dec 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.4-alt1
- 1.3.4

* Sun Jul 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.3.9-alt3
- rebuild for sisyphus

* Sun Jul 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.3.9-alt2.M40
- 1.3.3.9 stable release for branch 4.0

* Wed May 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.4-alt1
- 1.3.4

* Tue May 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.4-alt0.1cvs
- 1.3.4cvs

* Tue  May 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.9-alt2
- update Tango icons

* Sun May 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.9-alt1
- 1.3.3.9
- added Tango icons by default

* Wed Feb 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.8-alt1
- 1.3.3.8

* Sat Feb 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.7-alt2
- fixed build with python for x86_64

* Wed Jan 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.7-alt1
- 1.3.3.7

* Mon Dec 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.6-alt2
- fixed plugin files attributes

* Mon Dec 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.6-alt1
- 1.3.3.6

* Sat Nov 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.5-alt1
- 1.3.3.5

* Thu Oct 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.4-alt1
- 1.3.3.4

* Tue Aug 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.3-alt1
- 1.3.3.3

* Wed May 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.2-alt2
- fixed build for x86_64

* Wed May 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.2-alt1
- 1.3.3.2

* Mon Apr 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3.1-alt1
- 1.3.3.1

* Tue Mar 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Fri Mar 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Tue Oct 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.1-alt0.1
- 1.3.1

* Sat Jul 16 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.0-alt0.1
- 1.3.0

* Wed Apr 06 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.2.2-alt1.cvs20050405
- 1.2.2.cvs20050405

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt1.1.1
- Rebuilt with python-2.4.

* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Jan 10 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Thu Dec 16 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.2-alt1.2
- fix buildrequires

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.2-alt1.1
- Rebuilt with libtiff.so.4.

* Sun Sep 05 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.2-alt1
- 1.2 "aKademy Edition"
- Add additional templates for Scribus

* Wed Jun 23 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.7-alt2
- fix buildrequires and requires

* Wed Jun 09 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.7-alt1
- 1.1.7
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Thu Jun 03 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.6-alt3
- fix buildrequires

* Tue Apr 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.6-alt2
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Mon Mar 29 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Wed Feb 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Mon Dec 29 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.4-alt2
- rebuildind in new compiler

* Mon Dec 29 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.3-alt2
- rebuildind without *.la

* Mon Dec 08 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Thu Nov 13 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.2-alt1
- 1.1.2 and new buildrequires

* Thu Oct 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.1-alt1
- 1.1.1 and new script plugin 0.5.2

* Sun Sep 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.0-alt1
- 1.1.0 and new script plugin 0.5.1

* Wed Aug 27 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.1-alt2
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Sun Aug 10 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.1-alt1
- 1.0.1
- russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Wed Jul 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0 final
- added samples and new html and pdf help documents
- added new script plugin

* Wed Jul 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1.RC1
- 1.0.RC1

* Sun Jun 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.11.1-alt1
- 0.9.11.1

* Mon Jun 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.11-alt1
- 0.9.11

* Wed May 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Thu May 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Mon Apr 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Wed Feb 19 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sun Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt2
- new requires and buildrequires
- remove plugins

* Wed Jan 15 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Sun Dec 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Wed Nov 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Thu Nov 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt1
- 0.9.1
- Script Plugin added

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.8-alt1
- new version
- build with gcc3.2

* Tue Aug 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.7-alt1 for AltLinux
- 0.7.7

* Tue Jul 02 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.5-alt1 for AltLinux
- 0.7.5

* Fri Jan 04 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5-alt1 for AltLinux
- 0.5
- specfile cleanup



